Update a document template Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/document-template/{documentTemplate_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • documentTemplate_uuid string Required
application/json

Body

  • name string

    The name of the document template.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • version integer
    • name string
    • required_dependants object
      Hide required_dependants attribute Show required_dependants attribute object
      • client-1 string
    • public_docx_url string
    • public_sfdt_url string
    • public_pdf_url string
    • public_preview_url string
PUT /api/v1/document-template/{documentTemplate_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/document-template/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Welcome Template"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Welcome Template"
}
Response examples (200)
[
  {
    "uuid": "9dfef41b-cdac-4b48-8330-796b4b2b36db",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "version": 3,
    "name": "Welcome Template",
    "required_dependants": {
      "client-1": "client"
    },
    "public_docx_url": "https://api.plannrcrm.com/document-template/b8ca5f12-2117-4149-92db-950526002345/content/docx?plannr_account_uuid=6f40704b-dc29-4b79-9a18-93e6c6f6c6c5",
    "public_sfdt_url": "https://api.plannrcrm.com/document-template/f927da0e-7477-4792-96d1-304c6a3f74cb/content/sfdt?plannr_account_uuid=b70bd236-c093-464d-a6ee-665302a0ab4c",
    "public_pdf_url": "https://api.plannrcrm.com/document-template/88570728-e428-4302-964a-97a29a1d2640/content/pdf?plannr_account_uuid=3cf2715b-ec22-4890-b905-c147feffb9d4",
    "public_preview_url": "https://api.plannrcrm.com/document-template/6c94ffa9-b864-4ce4-895b-753b02f5449f/content/preview?plannr_account_uuid=3dd43db0-1964-480b-a57b-ba5c42ed345c"
  }
]